Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Classes | Signals | Public Member Functions | Private Types | Private Slots | Private Member Functions | Private Attributes | List of all members
ACG::QtWidgets::QtFlapBox Class Reference
Inheritance diagram for ACG::QtWidgets::QtFlapBox:

## Classes
struct | Flap

## Signals
void | sizeHintChanged ()

## Public Member Functions
| QtFlapBox (QWidget *_parent=0, Qt::WindowFlags _f=0)
int | addItem (QWidget *_widget, const QIcon &_icon, const QString &_text)
int | addItem (QWidget *_widget, const QString &_text)
int | count () const
int | indexOf (QWidget *_widget) const
int | insertItem (int _index, QWidget *_widget, const QIcon &_icon, const QString &_text)
int | insertItem (int _index, QWidget *_widget, const QString &_text)
bool | isItemEnabled (int _index) const
QIcon | itemIcon (int _index) const
QString | itemText (int _index) const
QString | itemToolTip (int _index) const
void | removeItem (int _index)
void | setItemEnabled (int _index, bool _enabled)
void | setItemIcon (int _index, const QIcon &_icon)
void | setItemText (int _index, const QString &_text)
void | setItemToolTip (int _index, const QString &_toolTip)
QWidget * | widget (int _index) const
bool | isItemHidden (int _index) const
void | setItemHidden (int _index, bool _hidden)
virtual QSize | sizeHint () const
virtual void | resizeEvent (QResizeEvent *_event)

## Private Types
typedef QList< Flap > | FlapList

## Private Slots
void | buttonClicked ()
void | widgetDestroyed (QObject *)

## Private Member Functions
Flap * | flap (QWidget *_widget) const
const Flap * | flap (int _index) const
Flap * | flap (int _index)
void | updateFlaps ()
void | relayout ()

## Private Attributes
FlapList | flapList
QVBoxLayout * | boxlayout
QWidget * | container

## Detailed Description

Definition at line 79 of file QtFlapBox.hh.

The documentation for this class was generated from the following files:

- ACG/QtWidgets/QtFlapBox.hh
- ACG/QtWidgets/QtFlapBox.cc